<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( ' | ', true, 'right' ); ?></title>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
<header id="header" role="banner">
	<section id="branding">
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_attr_e( get_bloginfo( 'name' ), 'urban-square' ); ?>" rel="home">
		<div id="logo"></div>
		</a>
		<div id="site-title">
			<?php 
				if ( ! is_singular() ) { echo '<h1>'; }
				else { echo '<div>'; } ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_attr_e( get_bloginfo( 'name' ), 'urban-square' ); ?>" rel="home"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a>
			<?php if ( ! is_singular() ) { echo '</h1>'; }
				else { echo '</div>'; } ?>
		</div>
		<div id="site-description"><?php bloginfo( 'description' ); ?></div>
	</section>
	<nav id="menu" role="navigation">
		<?php if( is_admin_bar_showing() ) { ?>
			<div id="search" class="admin-bar-search-fix">
		<?php } else { ?>
			<div id="search">
		<?php } ?>
			<?php get_search_form(); ?>
		</div>
		<div class="button-panel">
			<button class="menu-button-title" title="<?php esc_attr_e( 'Menu:', 'urban-square' ); ?>">
				<span class="menu-label"><?php _e( 'Menu:', 'urban-square' ); ?></span>
			</button>
			<form action="#sidebar"><button class="site-navigation-title" title="<?php esc_attr_e( 'Go to site navigation', 'urban-square' ); ?>">
				<span class="site-nav-label"><?php _e( 'Go to site navigation', 'urban-square' ); ?></span>
			</button></form>
		</div>
			<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
	</nav>
</header>
<div id="container">