<?php
/* This file is for the display of Customizer options on the front end */

/* Customizer- Custom Header Style Switcher */
function urban_square_header_styleswitcher() { // opens urban_square_header_styleswitcher
	/* see http://themefoundation.com/wordpress-theme-customizer/ */
	$image_size_type = get_theme_mod( 'image_size_type' );
	$header_2xbg = get_theme_mod( 'header_2xbg_upload' );
	if ( $image_size_type != '' ) { // opens if
		switch ( $image_size_type ) { // opens switch
			case 'responsive': ?>
<style type="text/css">
<?php if( get_header_image() != '' ) { ?>
	#header {
		background: url(<?php echo esc_url( get_header_image() ) ?>) repeat-x;
		background-size: auto 100%;
	}

	
	@media (-webkit-min-device-pixel-ratio: 1.5),
	(min--moz-device-pixel-ratio: 1.5),
	(-o-min-device-pixel-ratio: 1.5),
	(min-device-pixel-ratio: 1.5),
	(min-resolution: 144dpi) {
		#header {
			background-image: url(<?php echo esc_url( $header_2xbg ) ?>);
		}	
	}
<?php 
} else { ?>
	/* No header image present */
<?php } ?>
				
	<?php if( get_header_image() != '' ) { ?>
	@media ( min-width: 48em ) { /* tablets and up = ~768px+ */
		#header {
			background-size: 100% auto;
		}
	}
	<?php 
} else { ?>
	/* No header image present */
<?php } ?>
		
	<?php if( get_header_textcolor() != '' ) { ?>
		#site-title a:link,
		#site-title a:visited {
			color: #<?php echo get_header_textcolor(); ?>;
		}
	<?php } ?>
		
	<?php if ( 'blank' == get_header_textcolor() ) { ?>
	#branding {
		padding: 0;
		width: 100%;
	}
		
	#site-title a:link,
	#site-title a:visited {
		display: block;
		text-indent: -9999px;
		padding: 5%;
	}
		
	#site-description {
		text-indent: -9999px;
	}
		
	@media ( min-width: 48em ) { /* tablets and up = ~768px+ */
		#site-title {
			max-width: 100%;
		}
			
		#site-title > h1 {
			max-width: 50%;
		}
		
		#site-title a:link,
		#site-title a:visited {
			padding: 5% 1em;
		}
	<?php } ?>
</style>
		<?php
		break;
		case 'fixed': ?>
<style type="text/css">
	<?php if( get_header_image() != '' ) { ?>
	#logo {
		background: url(<?php echo esc_url( get_header_image() ) ?>) no-repeat;
		width: 100%;
		max-width: <?php echo get_custom_header()->width; ?>px;
		height: <?php echo get_custom_header()->height; ?>px;
		background-size: 100%;
		margin: 0 auto 1em auto;
	}
	
	@media (-webkit-min-device-pixel-ratio: 1.5),
	(min--moz-device-pixel-ratio: 1.5),
	(-o-min-device-pixel-ratio: 3/2),
	(min-device-pixel-ratio: 1.5),
	(min-resolution: 144dpi) {
		#logo {
			background-image: url(<?php echo esc_url( $header_2xbg ) ?>);
			height: <?php echo get_custom_header()->height; ?>px;
		}
	}

	@media ( min-width: 37.5em ) { /* small tablets and up = ~600px */
		#logo {
			float: left; /* Get rid of link spanning entire width of the parent div */	
			margin: 0 1em 1em 0;
		}
	}

	#site-title {
		clear: left;
	}
	<?php 
	} else { ?>
	/* No header image present */
	<?php } ?>
				
	<?php if( get_header_textcolor() != '' ) { ?>
		#site-title a:link,
		#site-title a:visited {
			color: #<?php echo get_header_textcolor(); ?>;
		}
	<?php } ?>
				
	@media ( min-width: 64.063em ) {
		#site-title {
			clear: none;
		}
					
		#site-title h1,
		#site-title > div {
			font-size: 1.75em;
		}
	}
				
	<?php if ( 'blank' == get_header_textcolor() ) { ?>
	#site-title a:link,
	#site-title a:visited {
		position: absolute;
		left: -9999px;
	}
		
	#site-description {
		text-indent: -9999px;
	}
				
	<?php } ?>
</style>
		<?php
		break;
		case 'repeating': ?>
<style type="text/css">
	<?php if( get_header_image() != '' ) { ?>
	#header {
		background: url(<?php echo esc_url( get_header_image() ) ?>) repeat;
	}
	
	@media (-webkit-min-device-pixel-ratio: 1.5),
	(min--moz-device-pixel-ratio: 1.5),
	(-o-min-device-pixel-ratio: 3/2),
	(min-device-pixel-ratio: 1.5),
	(min-resolution: 144dpi) {
		#header {
			background: url(<?php echo esc_url( $header_2xbg ) ?>) repeat;
			background-size: <?php echo get_custom_header()->width ?>px <?php echo get_custom_header()->height ?>px;
		}
	}
	<?php
	} else { ?>
	/* No header image present */
	<?php } ?>
	
	<?php if( get_header_textcolor() != '' ) { ?>
		#site-title a:link,
		#site-title a:visited {
			color: #<?php echo get_header_textcolor(); ?>;
		}
	<?php } ?>
	
	/*<?php if ( 'blank' == get_header_textcolor() ) { ?>
	#branding {
		padding: 0;
		width: 100%;
	}
	
	#site-title a:link,
	#site-title a:visited {
		display: block;
		position: absolute;
		left: -9999px;
	}
		
	#site-description {
		text-indent: -9999px;
	}
	<?php } ?>*/
</style>
		<?php
		break;
		} // closes switch 
	} // closes if
} // closes urban_square_header_styleswitcher
add_action('wp_head', 'urban_square_header_styleswitcher');

/* Customizer- Custom Colors and Fonts */
function urban_square_customizations() {
	$font_choices = get_theme_mod( 'font_choices' );
	$background_2xbg = get_theme_mod( 'background_2xbg_upload' );
	
	$header_footer_bgcolor = get_theme_mod( 'header_footer_bgcolor' );
	$header_secondary_color = get_theme_mod( 'header_secondary_color' );
	$menu_widgets_bgcolor = get_theme_mod( 'menu_widgets_bgcolor' );
	$supporting_border_color = get_theme_mod( 'supporting_border_color' );
	$link_color = get_theme_mod( 'link_color' );
	$link_secondary_color = get_theme_mod( 'link_secondary_color' );
	$supporting_color = get_theme_mod( 'supporting_color' );
	$supporting_secondary_color = get_theme_mod( 'supporting_secondary_color' );
	$everything_else_bgcolor = get_theme_mod( 'everything_else_bgcolor' );
	
	$stylesheet_directory = get_stylesheet_directory_uri(); ?>
<style type="text/css">
/* Customizer styles */

/* Custom Fonts */
	<?php // if using Custom Fonts with a child theme, the /fonts folder and its contents must be present in the child theme
	if ( $font_choices == 'none' ) { // opens if ?>
	/* No custom font applied */
	<?php
	} else {
		switch ( $font_choices ) { // opens embedding font switcher
			case 'serif1': ?>
	@font-face {
	font-family: 'old_standard_ttregular';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-regular-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-regular-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-regular-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-regular-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-regular-webfont.svg#old_standard_ttregular') format('svg');
		font-weight: normal;
		font-style: normal;
	}
	
	@font-face {
	font-family: 'old_standard_ttbold';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-bold-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-bold-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-bold-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-bold-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-bold-webfont.svg#old_standard_ttbold') format('svg');
		font-weight: bold;
		font-style: normal;
	}
	
	@font-face {
		font-family: 'old_standard_ttitalic';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-italic-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-italic-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-italic-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-italic-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/oldstandard-italic-webfont.svg#old_standard_ttitalic') format('svg');
		font-weight: normal;
		font-style: italic;
	}
		<?php
			break;
			case 'serif2': ?>
	@font-face {
		font-family: 'playfair_display_regular';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-regular-webfont.svg#playfair_displayregular') format('svg');
		font-weight: normal;
		font-style: normal;
	}
			
	@font-face {
		font-family: 'playfair_display_bold';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.eot');
    	src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-bold-webfont.svg#playfair_displaybold') format('svg');
		font-weight: bold;
		font-style: normal;
	}
	
	@font-face {
		font-family: 'playfair_display_italic';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/playfairdisplay-italic-webfont.svg#playfair_displayitalic') format('svg');
		font-weight: normal;
		font-style: normal;
	}
	<?php
		break;
		case 'sans_serif1': ?>
	@font-face {
		font-family: 'norwester_regular';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/norwester-webfont.svg#norwesterregular') format('svg');
		font-weight: bold;
		font-style: normal;
	}
	
	@font-face {
		font-family: 'afta_sansregular';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-regular-webfont.svg#afta_sansregular') format('svg');
		font-weight: normal;
		font-style: normal;
	}

	@font-face {
		font-family: 'afta_sansitalic';
		src: url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.eot');
		src: url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.eot?#iefix') format('embedded-opentype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.woff2') format('woff2'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.woff') format('woff'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.ttf') format('truetype'),
			url('<?php echo $stylesheet_directory; ?>/fonts/aftasansthin-italic-webfont.svg#afta_sansitalic') format('svg');
		font-weight: normal;
		font-style: italic;
	}
	<?php
	} // closes embedding font switcher ?>
	
	body {
		<?php
		switch ( $font_choices ) { // opens body font switcher
			case 'serif1': 
		echo 'font-family: old_standard_ttregular, serif;';
			break;
			case 'serif2':
		echo 'font-family: playfair_display_regular, serif;';
			break;
			case 'sans_serif1':
		echo 'font-family: afta_sansregular, sans-serif';
			break;
		} // closes body font switcher ?>
	}
	
	<?php if( $font_choices == 'serif2' ) { // serif2- Playfair Display ?>
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	#site-title {
		font-variant: small-caps;
	}
	<?php } ?>
	
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	p strong,
	p b,
	dl dt,
	table caption,
	table th,
	#site-title,
	.menu-label,
	.site-nav-label {
		<?php
		switch ( $font_choices ) { // opens bold font switcher
			case 'serif1':
		echo 'font-family: old_standard_ttbold, serif;';
			break;
			case 'serif2':
		echo 'font-family: playfair_display_bold, serif;';
			break;
			case 'sans_serif1':
		echo 'font-family: norwester_regular;';
			break;
		} // closes bold font switcher ?>
	}
	
	em,
	cite,
	blockquote,
	q,
	dl dd,
	#site-description,
	.entry-meta,
	.cat-links,
	.tag-links,
	.comments-link,
	.wp-caption-text,
	.gallery-caption {
		<?php
		switch ( $font_choices ) { // opens italic font switcher
			case 'serif1':
		echo 'font-family: old_standard_ttitalic;';
			break;
			case 'serif2':
		echo 'font-family: playfair_display_italic;';
			break;
			case 'sans_serif1':
		echo 'font-family: afta_sansitalic, sans-serif;';
			break;
		} // closes italic font switcher ?>
	}
	
	<?php } // closes else ?>

/* Custom Colors */
	<?php if( get_theme_mod( 'reverse_textcolor' ) == 1 ) { ?>
	body {
		color: #fff;
	}
	<?php } ?>
	
	/* Custom Background for High Definition */
	<?php if( $background_2xbg != '' ) { ?>
	@media (-webkit-min-device-pixel-ratio: 1.5),
	(min--moz-device-pixel-ratio: 1.5),
	(-o-min-device-pixel-ratio: 3/2),
	(min-device-pixel-ratio: 1.5),
	(min-resolution: 144dpi) {
		body.custom-background {
			background-image: url(<?php echo esc_url( $background_2xbg ) ?>) !important;
			background-size: 50%;
		}
	}
	<?php
	} else {
	echo '/* No High Definition Background Image */';
	} ?>
			
	<?php if ( $header_footer_bgcolor != '' ) { ?>
		/* Header, Sidebar and Footer background colors */
		#header {
			background-color: <?php echo $header_footer_bgcolor; ?>;
		}
		
		#sidebar {
			background-color: <?php echo $header_footer_bgcolor; ?>;
		}
			
		#footer {
			background-color: <?php echo $header_footer_bgcolor; ?>;
		}
	<?php } ?>
	
	<?php if( $header_secondary_color != '' ) { ?>
		/* Header hover and active color */
		#site-title a:active,
		.desktop #site-title a:hover {
			color: <?php echo $header_secondary_color; ?>;
		}
	<?php } ?>
	
	<?php if( $link_color != '' ) { ?>
		/* Link colors */
		a:link,
		a:visited {
			color: <?php echo $link_color; ?>;
		}
		
		.desktop .menu .current_page_item a:hover {
			color: <?php echo $link_color; ?>
		}
	<?php } ?>
	
	<?php if( $link_secondary_color != '' ) { ?>
		/* Link hover and active colors */
		a:active,
		.desktop a:hover {
			color: <?php echo $link_secondary_color; ?>
		}
	<?php } ?>
			
	<?php if( $supporting_color != '' ) { ?>
		/* Supporting colors */
		.search-field {
			border: 1px solid <?php echo $supporting_color; ?>;
		}
			
		.search-submit {
			background: <?php echo $supporting_color; ?>;
		}
		
		.menu-button-title, 
		.site-navigation-title,
		.entry-links a:link, 
		.entry-links a:visited, 
		a.post-edit-link:link,
		a.post-edit-link:visited, 
		a.comment-reply-link:link, 
		a.comment-reply-link:visited,
		.widget-title,
		.widget-title + .icon-sort-desc,
		#wp-calendar tr th,
		#wp-calendar td a {
			background: <?php echo $supporting_color; ?>;
		}
		
		.menu .icon-sort-desc {
			color: <?php echo $supporting_color; ?>;
		}
	<?php } ?>
	
	<?php if( ( $supporting_color != '' ) && ( $supporting_color != '#800000' ) ) { ?>
	a.back-to-top:link,
	a.back-to-top:visited {
		background: rgba( 51, 51, 51, 0.8 );			
	}
	<?php } ?>
			
	<?php if( get_theme_mod( 'reverse_supporting_color' ) ) { ?>
	.search-form .icon-arrow-right,
	.menu-label,
	.menu-button-title .icon-bars,
	.menu-button-title .icon-sort-desc,
	.site-nav-label,
	.site-navigation-title .icon-list-ul,
	.site-navigation-title .icon-arrow-down,
	.widget-title,
	.widget-title + .icon-sort-desc,
	.entry-links a:link,
	.entry-links a:visited,
	a.post-edit-link:link,
	a.post-edit-link:visited,
	a.comment-reply-link:link,
	a.comment-reply-link:visited {
		color: #333;
	}
	
	.widget-title + .icon-sort-desc {
		border-left: 1px solid #333;
	}
	<?php } ?>
			
	<?php if( $menu_widgets_bgcolor != '' ) { ?>
		/* Menu and Widgets background color */
		.menu ul,
		ul.menu,
		.menu .page_item a:link,
		.menu .page_item a:visited,
		ul.menu .menu-item a:link,
		ul.menu .menu-item a:visited,
		.menu .icon-sort-desc {
			background-color: <?php echo $menu_widgets_bgcolor; ?>;
		}
		
		.menu .children,
		ul.menu .sub-menu {
			background-color: <?php echo $menu_widgets_bgcolor; ?>;
		}
		
		.widget-container ul {
			background-color: <?php echo $menu_widgets_bgcolor; ?>;
		}
	<?php } ?>
			
	<?php if( get_theme_mod( 'reverse_menu_linkcolor' ) == 1 ) { ?>
		.menu a:link,
		.menu a:visited,
		.desktop .menu .current_page_item a:hover {
			color: #333 !important;
		}
	
		.menu li a:active,
		.desktop .menu li a:hover {
			color: #000;
		}
	<?php } ?>
	
	/* apply body bg color to active tab in menu */
	body.custom-background .menu .current_page_item a:link, 
	body.custom-background .menu .current_page_item a:visited, 
	body.custom-background .menu .current_page_item .icon-sort-desc {
		background-color: #<?php background_color(); ?>;
	}
			
	body.custom-background .menu .current_page_item .children a:link,
	body.custom-background .menu .current_page_item .children a:visited,
	body.custom-background .menu .current_page_item .sub-menu a:link,
	body.custom-background .menu .current_page_item .sub-menu a:visited,
	body.custom-background .menu .current_page_item .children .icon-sort-desc,
	body.custom-background .menu .current_page_item .sub-menu .icon-sort-desc {
		background-color: transparent;
	}
	
	<?php if( $supporting_secondary_color != '' ) { ?>
		/* Menu and Widget background hover and active color */
		.menu .page_item a:active,
		.menu .page_item a:focus,
		ul.menu .menu-item a:active,
		ul.menu .menu-item a:focus,
		.widget-container ul li a:focus,
		.widget-container ul li a:active {
			background-color: <?php echo $supporting_secondary_color; ?>;
		}
		
		.menu-button-title:active,
		.desktop .menu-button-title:hover,
		.site-navigation-title:active,
		.desktop .site-navigation-title:hover,
		.menu li a:active,
		.desktop .menu li a:hover,
		.entry-links a:active,
		.desktop .entry-links a:hover,
		a.post-edit-link:active,
		.desktop a.post-edit-link:hover,
		a.comment-reply-link:active,
		.desktop a.comment-reply-link:hover,
		.widget-container ul li a:active,
		.desktop .widget-container ul li a:hover,
		#wp-calendar td a:active,
		.desktop #wp-calendar td a:hover {
			background: <?php echo $supporting_secondary_color; ?>;
		}
	<?php } ?>
			
	<?php if( $supporting_border_color != '' ) { ?>
		/* Border outline colors */
		.menu .page_item,
		ul.menu .menu-item {
			border-right-color: <?php echo $supporting_border_color; ?>;
			border-top-color: <?php echo $supporting_border_color; ?>;
		}
		
		@media ( min-width: 48em ) {
			.menu .children,
			ul.menu .sub-menu {
				border-color: <?php echo $supporting_border_color; ?>;
			}
		}
		
		table {
			border-color: <?php echo $supporting_border_color; ?>;
		}
		
		.sticky {
			border-bottom-color: <?php echo $supporting_border_color; ?>;
			border-top-color: <?php echo $supporting_border_color; ?>;
		}
		
		.bypostauthor .comment-author {
			border-bottom-color: <?php echo $supporting_border_color; ?>;
		}
		
		.menu .icon-sort-desc {
			border: 1px solid <?php echo $supporting_border_color; ?>;
		}
		
		@media (min-width: 48em) {
			.menu .icon-sort-desc {
				border-top: 0;
				border-right: 0;
				border-bottom: 0;
				border-left: 1px solid <?php echo $supporting_border_color; ?>;
			}
		}
	<?php } ?>
			
	<?php if( $everything_else_bgcolor != '' ) { ?>
		/* Everything Else background colors */
		blockquote p,
		q,
		pre,
		table tbody {
			background-color: <?php echo $everything_else_bgcolor; ?>;
		}
			
		.sticky {
			background-color: <?php echo $everything_else_bgcolor; ?>;
		}
		
		.bypostauthor .comment-author {
			background-color: <?php echo $everything_else_bgcolor; ?>;
		}
			
		#commentform {
			background-color: <?php echo $everything_else_bgcolor; ?>;
		}
		
		#wp-calendar,
		#wp-calendar tbody {
			background-color: <?php echo $everything_else_bgcolor; ?>;
		}
	<?php } ?>
			
	<?php if ( get_theme_mod( 'reverse_everything_textcolor' ) == 1 ) { ?>
	blockquote, q,
	table, tbody,
	pre,
	body .sticky,
	body .sticky a,
	body #commentform,
	body #commentform a,
	body .bypostauthor .comment-author {
		color: #333;
	}
				
	body .sticky a:active,
	body .sticky a:hover,
	body #commentform a:active,
	body #commentform a:hover {
		color: #000;
	}
				
	table caption {
		color: #fff;
	}
	<?php } ?>
			
	<?php if( get_theme_mod( 'reverse_menu_linkcolor' ) == 1 ) { ?>
		.widget-container ul li a:link,
		.widget-container ul li a:visited {
			color: #333;
		}
		
		.widget-container ul li a:active,
		.desktop .widget-container ul li a:hover {
			color: #000;
		}
	<?php } ?>
			
	@media ( min-width: 48em ) {
		.menu ul,
		ul.menu {
			background-color: transparent;
		}
	}
</style>
	<?php	
}
add_action( 'wp_head', 'urban_square_customizations' );

function urban_square_retina() {
	if( get_theme_mod( 'enable_retina' ) == 1 ) {
		wp_enqueue_script( 'enable-retina', get_template_directory_uri() . '/scripts/retina.min.js', array( 'jquery' ), '', true );
	}
}
	
add_action( 'wp_enqueue_scripts', 'urban_square_retina' );
?>