<?php
/* Customizer additions */
/* see The WordPress Theme Customizer: A Comprehensive Guide */
/* http://themefoundation.com/wordpress-theme-customizer/ */

function urban_square_customizer( $wp_customize ) { //opens function
	/* Custom header controls */
	$wp_customize->add_section(
		'urban_square_fonts',
		array(
			'title' => __( 'Fonts', 'urban-square' ),
			'description' => __( 'In this section, you can change the font theme', 'urban-square' ),
			'priority' => 35,
		)
	);
	
	$wp_customize->add_setting(
		'font_choices',
		array(
			'default' => 'none',
			'sanitize_callback' => 'u_s_sanitize_font_choices'
		)
	);
	
	$wp_customize->add_control(
		'font_choices',
		array(
			'type' => 'radio',
			'label' => __( 'Font Theme', 'urban-square' ),
			'section' => 'urban_square_fonts',
			'choices' => array(
				'none' => __( 'Default Font Style', 'urban-square' ),
				'serif1' => __( 'Serif 1 (Old Standard)', 'urban-square' ),
				'serif2' => __( 'Serif 2 (Playfair Display)', 'urban-square' ),
				'sans_serif1' => __( 'Sans Serif 1 (Norwester- headings and Afta- body)', 'urban-square' ),
			),
		)
	);
	
	$wp_customize->add_section(
		'urban_square_hidef',
		array(
			'title' => __( 'High Definition', 'urban-square' ),
			'description' => __( '<p>In this section, you can enable High Definition support with the retina.js jQuery plugin.</p>
			<p>You can also upload @2x sized background and header images. *@2x header and background must match images in the <strong>Header Image</strong> and <strong>Background Image</strong> sections.</p>', 'urban-square' ),
			'priority' => 85,
		)
	);
	
	$wp_customize->add_setting(
		'enable_retina',
		array(
			'default' => 0,
			'sanitize_callback' => 'u_s_checkbox_sanitize'
		)
	);
	
	$wp_customize->add_control(
		'enable_retina',
		array(
			'type' => 'checkbox',
			'label' => __( 'Enable Retina Support for Post/Page images', 'urban-square' ),
			'section' => 'urban_square_hidef',
			'priority' => 10
		)
	);
	
	$wp_customize->add_setting(
		'header_2xbg_upload',
		array(
			'sanitize_callback' => 'esc_url_raw'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'header_2xbg_upload',
			array(
				'label' => __( 'Current @2x Header', 'urban-square' ),
				'section' => 'urban_square_hidef',
				'settings' => 'header_2xbg_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'background_2xbg_upload',
		array(
			'sanitize_callback' => 'esc_url_raw'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'background_2xbg_upload',
			array(
				'label' => __( 'Current @2x Background', 'urban-square' ),
				'section' => 'urban_square_hidef',
				'settings' => 'background_2xbg_upload'
			)
		)
	);
	
	$wp_customize->add_setting(  
		'image_size_type',
		array(
			'default' => 'responsive',
			'sanitize_callback' => 'u_s_sanitize_image_type',
		)
	);
	
	$wp_customize->add_control(
		'image_size_type',
		array(
			'type' => 'radio',
			'label' => __( 'Image displayed as:', 'urban-square' ),
			'section' => 'header_image',
			'priority' => 20,
			'choices' => array(
				'responsive' => __( 'Responsive (rectangular horizontal image)', 'urban-square' ),
				'fixed' => __( 'Fixed (square shaped logos)', 'urban-square' ),
				'repeating' => __( 'Repeating (repeating textures- fixed size)', 'urban-square' ),
			),
		)
	);
	
	/* Colors controls */
	$wp_customize->add_setting (
		'header_footer_bgcolor',
		array(
			'default' => '#f5f5f5',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'header_footer_bgcolor',
			array (
				'label' => __( 'Header, Footer and Sidebar Background Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 35,
				'settings' => 'header_footer_bgcolor',
			)
		)
	);
	
	$wp_customize->add_setting (
		'menu_widgets_bgcolor',
		array (
			'default' => '#f5f5f5',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'menu_widgets_bgcolor',
			array (
				'label' => __( 'Menu / Widgets Background Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 37,
				'settings' => 'menu_widgets_bgcolor',
			)
		)
	);
	
	$wp_customize->add_setting (  
		'header_secondary_color',
		array(
			'default' => '#f08080',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'header_secondary_color',
			array (
				'label' => __( 'Header Text Hover / Active Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 30,
				'settings' => 'header_secondary_color'
			)
		)
	);
	
	$wp_customize->add_setting (  
		'link_color',
		array(
			'default' => '#800000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'link_color',
			array (
				'label' => __( 'Link Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 40,
				'settings' => 'link_color'
			)
		)
	);
	
	$wp_customize->add_setting (  
		'link_secondary_color',
		array(
			'default' => '#f08080',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'link_secondary_color',
			array (
				'label' => __( 'Link Hover / Active Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 50,
				'settings' => 'link_secondary_color'
			)
		)
	);
	
	$wp_customize->add_setting (  
		'supporting_color',
		array(
			'default' => '#800000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'supporting_color',
			array (
				'label' => __( 'Supporting Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 60,
				'settings' => 'supporting_color'
			)
		)
	);
	
	$wp_customize->add_setting (  
		'supporting_secondary_color',
		array(
			'default' => '#f08080',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'supporting_secondary_color',
			array (
				'label' => __( 'Supporting Hover / Active Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 70,
				'settings' => 'supporting_secondary_color'
			)
		)
	);
	
	$wp_customize->add_setting (
		'supporting_border_color',
		array(
			'default' => '#c0c0c0',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'supporting_border_color',
			array (
				'label' => __( 'Supporting Border Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 75,
				'settings' => 'supporting_border_color'
			)
		)
	);
	
	$wp_customize->add_setting (  
		'everything_else_bgcolor',
		array(
			'default' => '#f5f5f5',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control (
		new WP_Customize_Color_Control (
			$wp_customize,
			'everything_else_bgcolor',
			array (
				'label' => __( 'Everything Else ( Blockquotes, Pre, etc. ) Background Color', 'urban-square' ),
				'section' => 'colors',
				'priority' => 80,
				'settings' => 'everything_else_bgcolor'
			)
		)
	);
	
	$wp_customize->add_setting (
		'reverse_textcolor',
			array(
				'sanitize_callback' => 'u_s_checkbox_sanitize'
			)
	);
	
	$wp_customize->add_control (
		'reverse_textcolor',
		array(
			'type' => 'checkbox',
			'label' => __( 'Reverse Body Text Color to White', 'urban-square' ),
			'section' => 'colors',
			'priority' => 85,
		)
	);
	
	$wp_customize->add_setting (
		'reverse_menu_linkcolor',
			array(
				'sanitize_callback' => 'u_s_checkbox_sanitize'
			)
	);
	
	$wp_customize->add_control (
		'reverse_menu_linkcolor',
		array(
			'type' => 'checkbox',
			'label' => __( 'Reverse Menu/Widget Link Color to Black', 'urban-square' ),
			'section' => 'colors',
			'priority' => 87,
		)
	);
	
	$wp_customize->add_setting (
		'reverse_supporting_color',
			array(
				'sanitize_callback' => 'u_s_checkbox_sanitize'
			)
	);
	
	$wp_customize->add_control (
		'reverse_supporting_color',
		array(
			'type' => 'checkbox',
			'label' => __( 'Reverse Supporting Color to Black', 'urban-square' ),
			'section' => 'colors',
			'priority' => 88,
		)
	);
	
	$wp_customize->add_setting (
		'reverse_everything_textcolor',
			array(
				'sanitize_callback' => 'u_s_checkbox_sanitize'
			)
	);
	
	$wp_customize->add_control (
		'reverse_everything_textcolor',
		array(
			'type' => 'checkbox',
			'label' => __( 'Reverse Everything Else Text Color to Black', 'urban-square' ),
			'section' => 'colors',
			'priority' => 89,
		)
	);
	
	/** Add custom text */
	class urban_square_currentcolors extends WP_Customize_Control { // opens class
		public $type = 'currentcolors_text';
	
		public function render_content() { // opens render content 
		$header_footer_bgcolor = get_theme_mod( 'header_footer_bgcolor' );
		$header_secondary_color = get_theme_mod( 'header_secondary_color' );
		$menu_widgets_bgcolor = get_theme_mod( 'menu_widgets_bgcolor' );
		$menu_border_color = get_theme_mod( 'menu_border_color' );
		$link_color = get_theme_mod( 'link_color' );
		$link_secondary_color = get_theme_mod( 'link_secondary_color' );
		$supporting_color = get_theme_mod( 'supporting_color' );
		$supporting_secondary_color = get_theme_mod( 'supporting_secondary_color' );
		$everything_else_bgcolor = get_theme_mod( 'everything_else_bgcolor' );
		?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			</label>
			<div>
				<p>
					<strong><?php _e( 'Header Text Color:', 'urban-square' ) ?></strong> #<?php echo get_header_textcolor(); ?><br />
					<strong><?php _e( 'Background Color:', 'urban-square' ) ?></strong> #<?php background_color(); ?><br />
					<strong><?php _e( 'Header Text Hover / Active Color:', 'urban-square' ) ?></strong> <?php echo $header_secondary_color; ?><br />
					<strong><?php _e( 'Header, Footer and Sidebar Background Color:', 'urban-square' ) ?></strong> <?php echo $header_footer_bgcolor; ?><br />
					<strong><?php _e( 'Menu / Widgets Background Color:', 'urban-square' ) ?></strong> <?php echo $menu_widgets_bgcolor; ?><br />
					<strong><?php _e( 'Menu Border Color', 'urban-square' ) ?></strong> <?php echo $menu_border_color; ?><br />
					<strong><?php _e( 'Link Color:', 'urban-square' ) ?></strong> <?php echo $link_color; ?><br />
					<strong><?php _e( 'Link Hover / Active Color:', 'urban-square' ) ?></strong> <?php echo $link_secondary_color; ?><br />
					<strong><?php _e( 'Supporting Color:', 'urban-square' ) ?></strong> <?php echo $supporting_color; ?><br />
					<strong><?php _e( 'Supporting Hover / Active Color:', 'urban-square' ) ?></strong> <?php echo $supporting_secondary_color; ?><br />
					<strong><?php _e( 'Everything Else Background Color:', 'urban-square' ) ?></strong> <?php echo $everything_else_bgcolor; ?><br />
					<strong><?php _e( 'Reverse Body Text Color:', 'urban-square' ) ?></strong> 
					<?php if ( get_theme_mod( 'reverse_textcolor' ) == 1 ) { 
						echo '#ffffff';
					} else {
						echo '#333333';
					} ?><br />
					<strong><?php _e( 'Reverse Menu Link Color:', 'urban-square' ) ?></strong> 
					<?php if( get_theme_mod( 'reverse_menu_linkcolor' ) == 1 ) {
						echo '#333333';
					} else {
						echo '#ffffff';
					} ?><br />
					<strong><?php _e( 'Reverse Supporting Color:', 'urban-square' ) ?></strong>
					<?php if( get_theme_mod( 'reverse_supporting_color' ) == 1 ) {
						echo '#333333';
					} else {
						echo '#ffffff';
					} ?><br />
					<strong><?php _e( 'Reverse Everything Else Link Color:', 'urban-square' ) ?></strong> 
					<?php if ( get_theme_mod( 'reverse_everything_textcolor' ) == 1 ) { 
						echo '#333333';
					} else {
						echo '#ffffff';
					}
					?>
				</p>
				<p><?php _e( '*You must Reload or Refresh your browser after changing the hex values.', 'urban-square' ) ?></p>
			</div>
		<?php 
		} // closes render content
	} //closes class
	
	$wp_customize->add_setting( 
		'currentcolors_text',
		array(
			'sanitize_callback' => 'u_s_no_sanitize'
		)
	);
	
	$wp_customize->add_control(
		new urban_square_currentcolors(
			$wp_customize,
			'currentcolors_text',
			array (
				'label' => __( 'Current Color Scheme', 'urban-square' ),
				'section' => 'colors',
				'settings' => 'currentcolors_text',
				'priority' => 90,
			)
		)
	);
} // closes function
add_action( 'customize_register', 'urban_square_customizer' );

/* Sanitization Callbacks */
function u_s_sanitize_image_type( $input ) {
	$valid = array(
		'responsive' => __( 'Responsive (rectangular horizontal image)', 'urban-square' ),
		'fixed' => __( 'Fixed (square shaped logos)', 'urban-square' ),
		'repeating' => __( 'Repeating (repeating textures- fixed size)', 'urban-square' ),
	);	
	
	if ( array_key_exists( $input, $valid ) ) {
		return $input;
	} else {
		return '';
	}
}

function u_s_sanitize_font_choices( $input ) {
	$valid = array(
		'none' => __( 'Default Font Style', 'urban-square' ),
		'serif1' => __( 'Serif 1 (Latin Modern Roman)', 'urban-square' ),
		'serif2' => __( 'Serif 2 (Playfair Display)', 'urban-square' ),
		'sans_serif1' => __( 'Sans Serif 1 (Norwester- headings and Afta- body)', 'urban-square' ),
	);
	
	if ( array_key_exists( $input, $valid ) ) {
		return $input;
	} else {
		return '';
	}
}

function u_s_checkbox_sanitize( $input ) {
	if ( $input == 1 ) {
		return 1;
	} else {
		return '';
	}
}

function u_s_no_sanitize() {
	return '';
}
?>
