//$.noConflict();

jQuery(document).ready(function( $ ) { // opens document ready function

/* --- HideShowWP.js --- */
/* The HideShowWP script was created as part of this theme */
/* The license for this script is GNU General Public License */
/* https://www.gnu.org/licenses/gpl.html */
 
// define variables to hold data
	var windowWidth;

	var widgetTitle = ".widget-title";
	var widget = ".widget-container ul";
	var widgetDiv = ".widget-container div";
	var widgetLink = ".widget-container ul li a";
	var widgetCalendar = ".widget-container #calendar_wrap";
	var widgetDownArrow = ".widget-area .icon-sort-desc";
	var menu = ".menu > ul";
	var customMenu = "div > ul.menu";
	var menuTitle = ".menu-button-title";
	var siteNavTitle = ".site-navigation-title";
	var hasChildrenLink = ".page_item_has_children > a";
	var customHasChildrenLink = ".menu-item-has-children > a";
	var menuChildren = ".menu .children";
	var customMenuChildren = "ul.menu .sub-menu";
	var menuLink = ".menu li a";
	var menuChildrenLink = ".menu .children .page_item a";
	var customMenuChildrenLink = "ul.menu .sub-menu .menu-item a";
	var menuDownArrow = ".menu .icon-sort-desc";

	// Setup our initial state in the browser; If this is not set, hidden objects will not be hidden until resizing happens.
	windowWidth = $( window ).width();

	$( menuChildren ).hide(); // hide menu children onload in all screen sizes
	$( customMenuChildren ).hide();
	

	if ( windowWidth <= 1024 /* Desktop size begins at 1025px to exclude tablets in landscape */ ) {
		$( widget ).hide();
		$( widgetDiv ).hide();
		$( menu ).hide();
		$( customMenu ).hide();
	}

	// Show and hide Sidebar widgets dependent on screen size
	/*$( window ).resize( function () { // hide sidebar widgets/nav menu on resize of page
		windowWidth = $( window ).width();
		if ( windowWidth <= 1024 ) {
			$( widget ).hide();
			$( widgetDiv ).hide();
			$( menu ).hide();
		} else {
			$( widget ).show();
			$( widgetDiv ).show();
			$( menu ).show();
		}
	});*/
	
	// Toggle menu
	$( menuTitle ).click( function() {
		$( menu ).slideToggle( "slow" );
		$( customMenu ).slideToggle( "slow" );
	});
	
	// Change cursor above site navigation link
	$( siteNavTitle ).css("cursor", "pointer");
	
	// Place arrow icon font next to title dropdowns
	// Place menu icon in Menu title and place Site Nav icon in "Go to site navigation" link
	$( menuTitle ).append("<span class=\"icon-bars\"></span><span class=\"icon-sort-desc\"></span>");
	$( siteNavTitle ).append("<span class=\"icon-list-ul\"></span><span class=\"icon-arrow-down\"></span>");
	$( widgetTitle ).after("<button class=\"icon-sort-desc\" title=\"Click or Tab and Press Enter to Open/Close Widget\"></button>");
	$( hasChildrenLink ).after("<button class=\"icon-sort-desc\" title=\"Click or Tab and Press Enter to Open/Close Submenu\"></button>"); // add arrow icon
	$( customHasChildrenLink ).after("<button class=\"icon-sort-desc\" title=\"Click or Tab and Press Enter to Open/Close Submenu\"></button>");
	
	// Toggle on click for menu down arrow icon
	$( menuDownArrow ).click( function() { 
		$(this).next().slideToggle( "slow" ); // this = .icon-sort-desc; next = .children/.sub-menu
	});
	
	// Toggle widgets when down arrow is clicked
	$( widgetDownArrow ).click( function() {
		$(this).closest( "li" ).find( "ul" ).slideToggle( "slow" ); // this = .widget-container .icon-sort-desc
		$(this).closest( "li" ).find( "div" ).slideToggle( "slow" );
		// using this selects one widget title at a time.
		//console.log($(this));
	});
	
	// To test the above for accessibility, press Enter or Return when tabbing over the down arrow buttons
	
	// Hide menu children after last child link loses focus
	$( menuChildrenLink ).last().blur( function() { 
		$( menuChildren ).hide();
	});
	
	$( customMenuChildrenLink ).last().blur( function() { 
		$( customMenuChildren ).hide();
	});
	
	// Hide entire menu when last top level link loses focus
	// only in tablet size and under
	if ( windowWidth <= 1024 ) {
		$( menuLink ).last().blur( function() {
			$( menu ).hide();
			$( customMenu ).hide();
		});
	}
	
	// Hide when last widget link has lost focus
	if ( windowWidth <= 1024 ) {
		$( widgetLink ).last().blur( function() {
			$( widget ).hide();
			$( widgetDiv ).hide();
		});
	}
	
/* --- --- */

/* --- backToTop.js --- */
/* see http://www.developerdrive.com/2013/07/using-jquery-to-add-a-dynamic-back-to-top-floating-button-with-smooth-scroll/ */

	var offset = 220;
	var duration = 500;
	var backToTop = ".back-to-top";

	$( window ).scroll(function () {
		if ( $(this).scrollTop() > offset ) {
			$( backToTop ).fadeIn( duration );
		} else {
			$( backToTop ).fadeOut( duration );
		}
	});

	$( backToTop ).click(function (event) {
		event.preventDefault();
		$("html, body").animate({scrollTop: 0}, duration);
		return false;
	});
/* --- --- */

/* --- fluidVideo.js --- */
/*

Fluid videos on responsive websites; see this CSS-Tricks.com page:
http://css-tricks.com/NetMag/FluidWidthVideo/Article-FluidWidthVideo.php

*/

	// Find all YouTube videos
		var $allVideos = $("iframe[src^='http://www.youtube.com'], iframe[src^='http://player.vimeo.com'], object, embed"),
	
			// The element that has fluid width; change this value to the parent container of the video in your theme
			$fluidEl = $('.entry-content');
		
		// Figure out and save aspect ratio for each video
		$allVideos.each(function() {

		$(this)
			// jQuery .data does not work on object/embed elements
			//.data('aspectRatio', this.height/this.width)
			.attr('data-aspectRatio', this.height / this.width)
		
			// and remove the hard coded width/height
			.removeAttr('height')
			.removeAttr('width');
	
		});
	
		// When the window is resized
		$(window).resize(function() { // opens window resize function
		
			var newWidth = $fluidEl.width();
		
			// Resize all videos according the their own aspect ratio
			$allVideos.each(function() {
		
				var $el = $(this);
				$el
					.width(newWidth)
					.height(newWidth * $el.attr('data-aspectRatio'));
		
			});
		
		}).resize(); // closes window resize function
/* --- --- */

}); // closes document ready function
